<?
//Loading the configurations
require_once "../../../wp-config.php";

header("Content-Type: application/xml; charset=UTF-8");

print '<?xml version="1.0" encoding="UTF-8"?>'."\n";
print "<hana-xml-stat>\n";
if ( ! $xmlstat_options ){
        print "<message>Please enable HANA-XML-STAT in your WP Admin Plugin Page</message>\n";
	print "</hana-xml-stat>";
	exit(0);
}

print "<name>";
bloginfo("name");
print "</name>\n";
print "<url>";
bloginfo("wpurl");
print "</url>\n";

if ( ! xmlstat_allow()){
	print "<message>You are not allowed to view. Update settings in admin panel or login now.</message>\n";
	print "</hana-xml-stat>";
	exit(0);
}


if ($xmlstat_options['show_akismet'] == 1) {
	print "<akismet>" . xmlstat_get_value('akismet') . "</akismet>\n";
}

if ($xmlstat_options['show_modspam'] == 1){
	print "<modspam>" . xmlstat_get_value('modspam') . "</modspam>\n";	
}

if ($xmlstat_options['show_modcom'] == 1){
	print "<modcom>"  . xmlstat_get_value('modcom') . "</modcom>\n";
}

$numposts = xmlstat_get_value('numposts');
$numcomms = xmlstat_get_value('numcomms');
$numcats = xmlstat_get_value('numcats'); 
print "<posts>$numposts</posts>\n";
print "<comments>$numcomms</comments>\n";
print "<categories>$numcats</categories>\n";

$table = xmlstat_get_slimstat_table();
if ($table != ""){
        $ts = xmlstat_get_today_stamp();
	//print "<!-- WP-ShortStat or WP-SlimStat is required !-->";
        $hitt=xmlstat_get_slimstat_hits($table,'today',$ts);
        $hity=xmlstat_get_slimstat_hits($table,'yesterday',$ts);
        if($hitt >-1 && $hity > -1){
                print "<total_hits>\n";
		print "	<today>$hitt</today>\n";
		print "	<yesterday>$hity</yesterday>\n";
		print "</total_hits>\n";
        }
        $uhitt = xmlstat_get_slimstat_uhits($table,'today',$ts);
        $uhity = xmlstat_get_slimstat_uhits($table,'yesterday',$ts);
        if($uhitt >-1 && $uhity > -1){
                print "<unique_hits>\n";
                print " <today>$uhitt</today>\n";
                print " <yesterday>$uhity</yesterday>\n";
                print "</unique_hits>\n";
	}

}

print "</hana-xml-stat>";

?>
